Bug 1165444 - [abrt] libreoffice-core: EditView::GetFieldUnderMousePointer(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: EditView::GetFieldUnderMousePointer(): soffice.bin k...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0926a270b37c3a07ba005be10e8...
: 1125000 1129778 1150208 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-19 01:38 UTC by lonelywoolf
Modified: 2015-05-04 08:42 UTC (History)
12 users (show)

Fixed In Version: libreoffice-4.3.4.1-8.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-04 06:23:58 UTC


Attachments (Terms of Use)
File: backtrace (55.27 KB, text/plain)
2014-11-19 01:38 UTC, lonelywoolf
no flags Details
File: cgroup (190 bytes, text/plain)
2014-11-19 01:38 UTC, lonelywoolf
no flags Details
File: core_backtrace (19.44 KB, text/plain)
2014-11-19 01:38 UTC, lonelywoolf
no flags Details
File: dso_list (29.06 KB, text/plain)
2014-11-19 01:38 UTC, lonelywoolf
no flags Details
File: environ (2.28 KB, text/plain)
2014-11-19 01:38 UTC, lonelywoolf
no flags Details
File: limits (1.29 KB, text/plain)
2014-11-19 01:38 UTC, lonelywoolf
no flags Details
File: maps (136.27 KB, text/plain)
2014-11-19 01:38 UTC, lonelywoolf
no flags Details
File: open_fds (959 bytes, text/plain)
2014-11-19 01:38 UTC, lonelywoolf
no flags Details
File: proc_pid_status (950 bytes, text/plain)
2014-11-19 01:38 UTC, lonelywoolf
no flags Details
File: var_log_messages (199 bytes, text/plain)
2014-11-19 01:38 UTC, lonelywoolf
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2014-11-19 01:38 UTC, lonelywoolf
no flags Details


Links
System ID Priority Status Summary Last Updated
Document Foundation 83169 None None None Never

Description lonelywoolf 2014-11-19 01:38:31 UTC
Version-Release number of selected component:
libreoffice-core-4.3.2.2-5.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc '/home/woolf/\xd0\xa0\xd0\xb0\xd0\xb1\xd0\xbe\xd1\x87\xd0\xb8\xd0\xb9 \xd1\x81\xd1\x82\xd0\xbe\xd0\xbb/\xd1\x82\xd0\xb0\xd1\x80\xd0\xb8\xd1\x84\xd1\x8b.ods' --splash-pipe=5
crash_function: EditView::GetFieldUnderMousePointer
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.17.3-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 EditView::GetFieldUnderMousePointer at /usr/src/debug/libreoffice-4.3.2.2/editeng/source/editeng/editview.cxx:1055
 #2 ScGridWindow::GetEditUrl at /usr/src/debug/libreoffice-4.3.2.2/sc/source/ui/view/gridwin.cxx:5245
 #3 ScGridWindow::MouseMove at /usr/src/debug/libreoffice-4.3.2.2/sc/source/ui/view/gridwin.cxx:2664
 #4 ImplHandleMouseEvent at /usr/src/debug/libreoffice-4.3.2.2/vcl/source/window/winproc.cxx:719
 #5 Window::ImplCallMouseMove at /usr/src/debug/libreoffice-4.3.2.2/vcl/source/window/window.cxx:2982
 #6 ImplHandleSalKeyMod at /usr/src/debug/libreoffice-4.3.2.2/vcl/source/window/winproc.cxx:2027
 #7 ImplWindowFrameProc at /usr/src/debug/libreoffice-4.3.2.2/vcl/source/window/winproc.cxx:2349
 #8 CallCallback at /usr/src/debug/libreoffice-4.3.2.2/vcl/inc/salframe.hxx:243
 #9 X11SalFrame::HandleKeyEvent at /usr/src/debug/libreoffice-4.3.2.2/vcl/unx/generic/window/salframe.cxx:3224
 #10 X11SalFrame::Dispatch at /usr/src/debug/libreoffice-4.3.2.2/vcl/unx/generic/window/salframe.cxx:4004

Potential duplicate: bug 1125000

Comment 1 lonelywoolf 2014-11-19 01:38:36 UTC
Created attachment 958811 [details]
File: backtrace

Comment 2 lonelywoolf 2014-11-19 01:38:38 UTC
Created attachment 958812 [details]
File: cgroup

Comment 3 lonelywoolf 2014-11-19 01:38:40 UTC
Created attachment 958813 [details]
File: core_backtrace

Comment 4 lonelywoolf 2014-11-19 01:38:43 UTC
Created attachment 958814 [details]
File: dso_list

Comment 5 lonelywoolf 2014-11-19 01:38:44 UTC
Created attachment 958815 [details]
File: environ

Comment 6 lonelywoolf 2014-11-19 01:38:46 UTC
Created attachment 958816 [details]
File: limits

Comment 7 lonelywoolf 2014-11-19 01:38:49 UTC
Created attachment 958817 [details]
File: maps

Comment 8 lonelywoolf 2014-11-19 01:38:51 UTC
Created attachment 958818 [details]
File: open_fds

Comment 9 lonelywoolf 2014-11-19 01:38:52 UTC
Created attachment 958819 [details]
File: proc_pid_status

Comment 10 lonelywoolf 2014-11-19 01:38:55 UTC
Created attachment 958820 [details]
File: var_log_messages

Comment 11 lonelywoolf 2014-11-19 01:38:56 UTC
Created attachment 958821 [details]
File: exploitable

Comment 12 Caolan McNamara 2014-11-19 16:40:35 UTC
Are you able to reproduce this crash, e.g. some calc document maybe with a link it in which crashes when you pass the mouse over that link ?

Comment 13 Caolan McNamara 2014-11-19 16:42:13 UTC
*** Bug 1129778 has been marked as a duplicate of this bug. ***

Comment 14 Caolan McNamara 2014-11-19 16:42:32 UTC
*** Bug 1150208 has been marked as a duplicate of this bug. ***

Comment 15 Caolan McNamara 2014-11-19 16:43:33 UTC
*** Bug 1125000 has been marked as a duplicate of this bug. ***

Comment 16 Caolan McNamara 2014-11-19 16:45:02 UTC
based on this bt with actual line numbers and symbols I can speculate that http://cgit.freedesktop.org/libreoffice/core/commit/?id=755209d88073fd497b884b8de1348ec75c2df7eb might fix it, but would still need a reproducer to be sure that there isn't something more fundamentally wrong here that needs investigation

Comment 17 lonelywoolf 2014-11-19 16:50:00 UTC
yes,I was edited the calc document. But I can't reproduce just tried to test this after crash. My system with calc running was not rebooted about 4 days in that moment.

Comment 18 lonelywoolf 2014-11-19 16:51:28 UTC
As i remember, I haven't any link in this ods document. May be it the other control?

Comment 19 Thom Carlin 2014-11-19 20:47:56 UTC
Was inserting columns left.  No reproducer.  Last time was insert/name/define

Comment 20 Caolan McNamara 2014-11-27 15:31:02 UTC
hmm, well lets try my patch derived from seeing the NULL in the bt

Comment 21 Fedora Update System 2014-11-28 09:50:51 UTC
libreoffice-4.2.7.2-11.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.7.2-11.fc20

Comment 22 Fedora Update System 2014-11-28 09:52:25 UTC
libreoffice-4.3.4.1-8.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libreoffice-4.3.4.1-8.fc21

Comment 23 Fedora Update System 2014-11-29 21:00:44 UTC
Package libreoffice-4.3.4.1-8.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.3.4.1-8.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15968/libreoffice-4.3.4.1-8.fc21
then log in and leave karma (feedback).

Comment 24 Fedora Update System 2014-12-04 06:23:58 UTC
libreoffice-4.2.7.2-11.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2014-12-06 10:48:06 UTC
libreoffice-4.3.4.1-8.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Ramkumar 2015-05-04 08:42:26 UTC
Another user experienced a similar problem:

when i was trying to copy data from one sheet to another there was a panic and libre office closed

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc file:///home/ramkumar/Dropbox/rubber%20powder/comparestmt.ods --splash-pipe=5
crash_function: EditView::GetFieldUnderMousePointer
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.17.4-301.fc21.x86_64
package:        libreoffice-core-4.3.2.2-5.fc21
reason:         soffice.bin killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.